# get trigger emails
SELECT
  p.email
FROM $PROJECT_trigger t, person p, groupcode g, accesscode a
WHERE t.person_id=p.person_id
  AND g.name=p.group_code
  AND a.project_id='$PROJECT'
  AND (g.group_type IS NULL
    OR (p.group_code IN ($GROUPS) AND a.person_id=p.person_id AND a.access_role is NULL) 
    OR (a.person_id=p.person_id AND a.role_type is NULL AND a.access_role IN ($GROUPS))
    OR (p.group_code=a.access_role AND (a.person_id is NULL OR a.person_id=0) AND a.access_role IN ($GROUPS)))
  AND (author like ? OR author IS NULL)
  AND (responsible like ? OR responsible IS NULL)
  AND (assignable like ? OR assignable IS NULL)
  AND (state like ? OR state IS NULL)
  AND (category like ? OR category IS NULL)
  AND (severity like ? OR severity IS NULL)
  AND (priority like ? OR priority IS NULL)
